org.apache.cassandra.cql3.statements

## Enum AlterTableStatement.Type

- java.lang.Object
- - java.lang.Enum<AlterTableStatement.Type>
  - - org.apache.cassandra.cql3.statements.AlterTableStatement.Type

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<AlterTableStatement.Type>

Enclosing class:
  AlterTableStatement

    public static enum AlterTableStatement.Type
    extends java.lang.Enum<AlterTableStatement.Type>

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`ADD`
`ALTER`
`DROP`
`DROP_COMPACT_STORAGE`
`OPTS`
`RENAME`

### Method Summary

All Methods Static Methods Concrete Methods
`static AlterTableStatement.Type` `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static AlterTableStatement.Type[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### ADD

    public static final AlterTableStatement.Type ADD

#### ALTER

    public static final AlterTableStatement.Type ALTER

#### DROP

    public static final AlterTableStatement.Type DROP

#### DROP_COMPACT_STORAGE

    public static final AlterTableStatement.Type DROP_COMPACT_STORAGE

#### OPTS

    public static final AlterTableStatement.Type OPTS

#### RENAME

    public static final AlterTableStatement.Type RENAME

### Method Detail

#### values

    public static AlterTableStatement.Type[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (AlterTableStatement.Type c : AlterTableStatement.Type.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static AlterTableStatement.Type valueOf(java.lang.String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
  `java.lang.NullPointerException` - if the argument is null